petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetCoordinateName

Gets the name of a coodinate direction associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetCoordinateName(DM dm,PetscInt nf,const char **name)

Not collective; name will contain a common value

### Input Parameter

| dm | - the DM
| nf | - number for the DMDA (0, 1, ... dim-1)

### Output Parameter

names -the name of the coordinate direction

### Notes

It must be called after having called DMSetUp().

Not supported from Fortran

### Keywords

distributed array, get, component name

### See Also

DMDASetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName(), DMSetUp()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages